Name: sablotron
Version: 1.0.2
Release: alt1

Summary: XSLT processor
License: MPL/GPL
Group: Development/Other

URL: http://www.gingerall.org/sablotron.html
Source: http://download-1.gingerall.cz/download/sablot/Sablot-1.0.2.tar.gz

Patch0: sablotron-1.0.2-alt-makefile.patch
Patch1: sablotron-1.0.2-alt-export.patch
Patch2: sablotron-1.0.2-alt-binconfig.patch

Requires: lib%name = %version-%release

# Added by buildreq2 on Mon Jun 26 2006
BuildRequires: gcc-c++ libexpat-devel perl-HTML-Tree perl-XML-Parser

%description
Sablotron is a fast, compact and portable XML toolkit
implementing XSLT, DOM and XPath.

%package -n lib%name
Summary: XSLT processor library
Group: System/Libraries

%description -n lib%name
Sablotron is a fast, compact and portable XML toolkit
implementing XSLT, DOM and XPath.

%package -n lib%name-devel
Summary: XSLT processor library
Group: Development/C++
Requires: lib%name = %version-%release

%description -n lib%name-devel
Sablotron is a fast, compact and portable XML toolkit
implementing XSLT, DOM and XPath.

%package -n lib%name-devel-static
Summary: XSLT processor library
Group: Development/C++
Requires: lib%name-devel = %version-%release

%description -n lib%name-devel-static
Sablotron is a fast, compact and portable XML toolkit
implementing XSLT, DOM and XPath.

%prep
%setup -q -n Sablot-%version
%patch0 -p1
%patch1 -p1
%patch2 -p1
touch NEWS AUTHORS ChangeLog

%build
autoreconf -fisv
export SABLOT_GPL=1
%add_optflags %optflags_nocpp
%def_disable static
%configure %{subst_enable static} --enable-debugger
%make_build

%install
%makeinstall

%define pkgdocdir %_docdir/%name-%version
mkdir -p %buildroot%pkgdocdir
cp -a README RELEASE doc/misc/{DEBUGGER,NOTES} doc/apidoc %buildroot%pkgdocdir/

%post -n lib%name -p %post_ldconfig
%postun -n lib%name -p %postun_ldconfig

%files
%_bindir/sabcmd
%_man1dir/sabcmd.1*

%files -n lib%name
%_libdir/libsablot.so.?*
%dir %pkgdocdir
%pkgdocdir/README
%pkgdocdir/RELEASE

%files -n lib%name-devel
%_bindir/sablot-config
%_libdir/libsablot.so
%_includedir/s*.h
%dir %pkgdocdir
%pkgdocdir/DEBUGGER
%pkgdocdir/NOTES
%pkgdocdir/apidoc

%if_enabled static
%files -n lib%name-devel-static
%_libdir/libsablot.a
%endif

%changelog
* Mon Jun 26 2006 Alexey Tourbin <at@altlinux.ru> 1.0.2-alt1
- 1.0.1 -> 1.0.2
- revamped specfile
- restricted the list of symbols exported by the library

* Tue Jan 18 2005 ALT QA Team Robot <qa-robot@altlinux.org> 1.0.1-alt1.1.1
- Rebuilt with libstdc++.so.6.

* Tue Dec 02 2003 Yuri N. Sedunov <aris@altlinux.ru> 1.0.1-alt1.1
- fixed build.
- do not build devel-static subpackage by default.

* Fri Nov 28 2003 Yuri N. Sedunov <aris@altlinux.ru> 1.0.1-alt1
- new version.
- do not package .la files.

* Sun Jun 29 2003 Yuri N. Sedunov <aris@altlinux.ru> 0.98-alt1
- 0.98

* Thu Mar 20 2003 Yuri N. Sedunov <aris@altlinux.ru> 0.97-alt1
- 0.97

* Tue Nov 05 2002 Rider <rider@altlinux.ru> 0.96-alt2
- Patch from gingerall.cz for gcc 3.2 build

* Mon Sep 16 2002 Rider <rider@altlinux.ru> 0.96-alt1
- 0.96

* Sun Aug 25 2002 Rider <rider@altlinux.ru> 0.95-alt1
- 0.95

* Tue Apr 23 2002 Yuri N. Sedunov <aris@altlinux.ru> 0.90-alt2
- Right names and new splitting by packages.
- prepared for building with JS extension.

* Mon Apr 15 2002 Rider <rider@altlinux.ru> libsablotron-0.90-alt1
- 0.90

* Sat Feb 09 2002 Rider <rider@altlinux.ru> 0.82-alt1
- 0.82

* Thu Nov 08 2001 Rider <rider@altlinux.ru> 0.71-alt1
- 0.71

* Thu Jun 07 2001 Rider <rider@altlinux.ru>
- first build for ALT Linux

* Wed Apr 22 2001 Petr Cimprich <petr@gingerall.cz>
- sablotron 0.52 RPM release 1
- based on 0.51-5 spec by Henri Gomez

* Thu Feb 22 2001 Henri Gomez <hgomez@slib.fr>
- sablotron 0.51 RPM release 5
- apply patch to add -lexpat and -lstdc++ in libsablot.so
  REQUIRED for use with PHP4

* Thu Feb 22 2001 Henri Gomez <hgomez@slib.fr>
- sablotron 0.51 RPM release 4
- follow Redhat way to dispatch between pack and pack-devel

* Tue Feb 20 2001 Henri Gomez <hgomez@slib.fr>
- sablotron 0.51 RPM release 3
- added ldconfig is post/preun and cleanup stuff
- build under Redhat 6.2 + updates with rpm 3.0.5

* Mon Feb 19 2001 Henri Gomez <hgomez@slib.fr>
- sablotron 0.51 RPM release 2
- added Requires expat >= 1.95.1

* Mon Feb 19 2001 Henri Gomez <hgomez@slib.fr>
- sablotron 0.51 RPM release 1
- updated spec file

